<?php
/**
 * Additional/overwritten configuration parts
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 QA Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.shipsimu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */

// Get a configuration instance for shorter lines
$cfg = FrameworkConfiguration::getSelfInstance();

// CFG: HEADER-CHARSET
$cfg->setConfigEntry('header_charset', 'utf-8');

// CFG: DEFAULT-WEB-COMMAND
$cfg->setConfigEntry('default_web_command', 'start');

// CFG: FORM-ACTION
$cfg->setConfigEntry('form_action', 'index.php?app={?app_short_name?}&amp;command=do_form');

// CFG: FORM-METHOD
$cfg->setConfigEntry('form_method', 'post');

// CFG: FORM-TARGET
$cfg->setConfigEntry('form_target', '_self');

// CFG: NEWS-READER-HOME-CLASS
$cfg->setConfigEntry('news_reader_start_class', 'DefaultNewsReader');

// CFG: NEWS-DOWNLOAD-FILTER
$cfg->setConfigEntry('news_download_filter', 'NewsDownloadFilter');

// CFG: NEWS-PROCESS-FILTER
$cfg->setConfigEntry('news_process_filter', 'NewsProcessFilter');

// CFG: USER-AUTH-FILTER
$cfg->setConfigEntry('user_auth_filter', 'UserAuthFilter');

// CFG: USER-UPDATE-FILTER
$cfg->setConfigEntry('user_update_filter', 'UserUpdateFilter');

// CFG: BLOG-DATA-FILTER
$cfg->setConfigEntry('qa_data_filter', 'QualityAssuranceDataFetchFilter');

// CFG: NEWS-HOME-LIMIT
$cfg->setConfigEntry('news_start_limit', 10);

// CFG: NEWS-BLOG-FAILED-LIMIT
$cfg->setConfigEntry('news_qa_failed_limit', 15);

// CFG: RANDOM-STRING-LENGTH
$cfg->setConfigEntry('random_string_length', 100);

// CFG: WEB-BLOCK-HELPER
$cfg->setConfigEntry('web_block_helper', 'WebBlockHelper');

// CFG: WEB-FORM-HELPER
$cfg->setConfigEntry('web_form_helper', 'WebFormHelper');

// CFG: WEB-LINK-HELPER
$cfg->setConfigEntry('web_link_helper', 'WebLinkHelper');

// [EOF]
?>
